# Uses of Interface
com.usatiuk.objects.JObjectKey

Packages that use JObjectKey
Package
Description
com.usatiuk.dhfs
com.usatiuk.dhfs.autosync
com.usatiuk.dhfs.invalidation
com.usatiuk.dhfs.jkleppmanntree
com.usatiuk.dhfs.jkleppmanntree.structs
com.usatiuk.dhfs.jmap
com.usatiuk.dhfs.peersync
com.usatiuk.dhfs.peersync.structs
com.usatiuk.dhfs.peertrust
com.usatiuk.dhfs.refcount
com.usatiuk.dhfs.remoteobj
com.usatiuk.dhfs.rpc
com.usatiuk.dhfsfs.objects
com.usatiuk.dhfsfs.service
com.usatiuk.objects
com.usatiuk.objects.stores
com.usatiuk.objects.transaction

## Uses of JObjectKey in com.usatiuk.dhfs

Methods in com.usatiuk.dhfs that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
JObjectKeyProtoSerializer.`deserialize(JObjectKeyP message)`
Methods in com.usatiuk.dhfs with parameters of type JObjectKey
Modifier and Type
Method
Description
`JObjectKeyP`
JObjectKeyProtoSerializer.`serialize(JObjectKey object)`

## Uses of JObjectKey in com.usatiuk.dhfs.autosync

Methods in com.usatiuk.dhfs.autosync with parameters of type JObjectKey
Modifier and Type
Method
Description
`void`
AutosyncProcessor.`add(JObjectKey name)`
`void`
AutosyncTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
AutosyncTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
AutosyncTxHook.`onDelete(JObjectKey key, JData cur)`

## Uses of JObjectKey in com.usatiuk.dhfs.invalidation

Methods in com.usatiuk.dhfs.invalidation that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
IndexUpdateOp.`key()`
Returns the value of the `key` record component.
`JObjectKey`
InvalidationQueueEntry.`key()`
Returns the value of the `key` record component.
Methods in com.usatiuk.dhfs.invalidation that return types with arguments of type JObjectKey
Modifier and Type
Method
Description
`Collection<JObjectKey>`
IndexUpdateOp.`getEscapedRefs()`
`Collection<JObjectKey>`
Op.`getEscapedRefs()`
Methods in com.usatiuk.dhfs.invalidation with parameters of type JObjectKey
Modifier and Type
Method
Description
`void`
InvalidationQueueService.`pushInvalidationToAll(JObjectKey key)`
`void`
InvalidationQueueService.`pushInvalidationToOne(PeerId host, JObjectKey obj)`
`void`
InvalidationQueueService.`pushInvalidationToOneNoDelay(PeerId host, JObjectKey obj)`
Constructors in com.usatiuk.dhfs.invalidation with parameters of type JObjectKey
Modifier
Constructor
Description
``
`IndexUpdateOp(JObjectKey key, org.pcollections.PMap<PeerId,Long> changelog, JDataRemoteDto data)`
Creates an instance of a `IndexUpdateOp` record class.
``
`InvalidationQueueEntry(PeerId peer, JObjectKey key)`
Creates an instance of a `InvalidationQueueEntry` record class.

## Uses of JObjectKey in com.usatiuk.dhfs.jkleppmanntree

Methods in com.usatiuk.dhfs.jkleppmanntree that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`getLostFoundId()`
`JObjectKey`
JKleppmannTreeManager.JKleppmannTree.`getNewNodeId()`
`JObjectKey`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`getNewNodeId()`
`JObjectKey`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`getRootId()`
`JObjectKey`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`getTrashId()`
`JObjectKey`
JKleppmannTreeManager.JKleppmannTree.`traverse(List<String> names)`
`JObjectKey`
JKleppmannTreeOpWrapper.`treeName()`
Returns the value of the `treeName` record component.
`JObjectKey`
JKleppmannTreePeriodicPushOp.`treeName()`
Returns the value of the `treeName` record component.
Methods in com.usatiuk.dhfs.jkleppmanntree that return types with arguments of type JObjectKey
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<String,JObjectKey>`
JKleppmannTreeManager.JKleppmannTree.`findParent(Function<TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>,Boolean> predicate)`
`Collection<JObjectKey>`
JKleppmannTreeOpWrapper.`getEscapedRefs()`
`Collection<JObjectKey>`
JKleppmannTreePeriodicPushOp.`getEscapedRefs()`
`LogInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`getLog()`
`OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeOpWrapper.`op()`
Returns the value of the `op` record component.
Methods in com.usatiuk.dhfs.jkleppmanntree with parameters of type JObjectKey
Modifier and Type
Method
Description
`JKleppmannTreeNode`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`createNewNode(JObjectKey key, JObjectKey parent, JKleppmannTreeNodeMeta meta)`
`JKleppmannTreeNode`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`getById(JObjectKey id)`
`Optional<JKleppmannTreeManager.JKleppmannTree>`
JKleppmannTreeManager.`getTree(JObjectKey name)`
`JKleppmannTreeManager.JKleppmannTree`
JKleppmannTreeManager.`getTree(JObjectKey name, Supplier<JKleppmannTreeNodeMeta> rootNodeSupplier)`
`void`
JKleppmannTreeInitialSyncProcessor.`handleCrash(JObjectKey key)`
`void`
JKleppmannTreeManager.JKleppmannTree.`move(JObjectKey newParent, JKleppmannTreeNodeMeta newMeta, JObjectKey node)`
`void`
JKleppmannTreeInitialSyncProcessor.`prepareForInitialSync(PeerId from, JObjectKey key)`
`void`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`removeNode(JObjectKey id)`
`void`
JKleppmannTreeManager.JKleppmannTree.`trash(JKleppmannTreeNodeMeta newMeta, JObjectKey nodeKey)`
Method parameters in com.usatiuk.dhfs.jkleppmanntree with type arguments of type JObjectKey
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<String,JObjectKey>`
JKleppmannTreeManager.JKleppmannTree.`findParent(Function<TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>,Boolean> predicate)`
`void`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`putNode(TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> node)`
Constructors in com.usatiuk.dhfs.jkleppmanntree with parameters of type JObjectKey
Modifier
Constructor
Description
``
`JKleppmannTreeOpWrapper(JObjectKey treeName, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> op)`
Creates an instance of a `JKleppmannTreeOpWrapper` record class.
``
`JKleppmannTreePeriodicPushOp(JObjectKey treeName, PeerId from, long timestamp)`
Creates an instance of a `JKleppmannTreePeriodicPushOp` record class.
Constructor parameters in com.usatiuk.dhfs.jkleppmanntree with type arguments of type JObjectKey
Modifier
Constructor
Description
``
`JKleppmannTreeOpWrapper(JObjectKey treeName, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> op)`
Creates an instance of a `JKleppmannTreeOpWrapper` record class.

## Uses of JObjectKey in com.usatiuk.dhfs.jkleppmanntree.structs

Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
JKleppmannTreeNode.`key()`
Returns the value of the `key` record component.
`JObjectKey`
JKleppmannTreeNodeHolder.`key()`
`JObjectKey`
JKleppmannTreePersistentData.`key()`
Returns the value of the `key` record component.
`JObjectKey`
JKleppmannTreeNode.`parent()`
Returns the value of the `parent` record component.
Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return types with arguments of type JObjectKey
Modifier and Type
Method
Description
`org.pcollections.PMap<String,JObjectKey>`
JKleppmannTreeNode.`children()`
Returns the value of the `children` record component.
`Collection<JObjectKey>`
JKleppmannTreeNode.`collectRefsTo()`
`Collection<JObjectKey>`
JKleppmannTreeNodeHolder.`collectRefsTo()`
`Collection<JObjectKey>`
JKleppmannTreeNodeMeta.`collectRefsTo()`
`Collection<JObjectKey>`
JKleppmannTreePersistentData.`collectRefsTo()`
`OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeNode.`lastEffectiveOp()`
Returns the value of the `lastEffectiveOp` record component.
`org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>`
JKleppmannTreePersistentData.`log()`
Returns the value of the `log` record component.
`org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>>`
JKleppmannTreePersistentData.`queues()`
Returns the value of the `queues` record component.
Methods in com.usatiuk.dhfs.jkleppmanntree.structs with parameters of type JObjectKey
Modifier and Type
Method
Description
`JKleppmannTreeNode`
JKleppmannTreeNode.`withParent(JObjectKey parent)`
Method parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type JObjectKey
Modifier and Type
Method
Description
`JKleppmannTreeNode`
JKleppmannTreeNode.`withChildren(org.pcollections.PMap<String,JObjectKey> children)`
`JKleppmannTreeNode`
JKleppmannTreeNode.`withLastEffectiveOp(OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withLog(org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withQueues(org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues)`
Constructors in com.usatiuk.dhfs.jkleppmanntree.structs with parameters of type JObjectKey
Modifier
Constructor
Description
``
`JKleppmannTreeNode(JObjectKey id, JObjectKey parent, JKleppmannTreeNodeMeta meta)`
``
`JKleppmannTreeNode(JObjectKey key, JObjectKey parent, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp, JKleppmannTreeNodeMeta meta, org.pcollections.PMap<String,JObjectKey> children)`
Creates an instance of a `JKleppmannTreeNode` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.
Constructor parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type JObjectKey
Modifier
Constructor
Description
``
`JKleppmannTreeNode(JObjectKey key, JObjectKey parent, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp, JKleppmannTreeNodeMeta meta, org.pcollections.PMap<String,JObjectKey> children)`
Creates an instance of a `JKleppmannTreeNode` record class.
``
`JKleppmannTreeNode(JObjectKey key, JObjectKey parent, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp, JKleppmannTreeNodeMeta meta, org.pcollections.PMap<String,JObjectKey> children)`
Creates an instance of a `JKleppmannTreeNode` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.

## Uses of JObjectKey in com.usatiuk.dhfs.jmap

Methods in com.usatiuk.dhfs.jmap that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
JMapEntry.`holder()`
Returns the value of the `holder` record component.
`JObjectKey`
JMapRef.`holder()`
Returns the value of the `holder` record component.
`JObjectKey`
JMapEntry.`key()`
Returns the value of the `key` record component.
`JObjectKey`
JMapRef.`obj()`
`JObjectKey`
JMapEntry.`ref()`
Returns the value of the `ref` record component.
Methods in com.usatiuk.dhfs.jmap with parameters of type JObjectKey
Modifier and Type
Method
Description
`K`
JMapIterator.`keyToKey(JObjectKey key)`
`void`
JMapRefcounterTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
JMapRefcounterTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
JMapHolderRefcounterTxHook.`onDelete(JObjectKey key, JData cur)`
`void`
JMapRefcounterTxHook.`onDelete(JObjectKey key, JData cur)`
`<K extends JMapKey>
void`
JMapHelper.`put(JMapHolder<K> holder, K key, JObjectKey ref)`
Constructors in com.usatiuk.dhfs.jmap with parameters of type JObjectKey
Modifier
Constructor
Description
``
`JMapEntry(JObjectKey key, JObjectKey holder, K selfKey, JObjectKey ref)`
Creates an instance of a `JMapEntry` record class.
``
`JMapEntry(JObjectKey holder, K selfKey, JObjectKey ref)`
``
`JMapRef(JObjectKey holder, JMapKey mapKey)`
Creates an instance of a `JMapRef` record class.
Constructor parameters in com.usatiuk.dhfs.jmap with type arguments of type JObjectKey
Modifier
Constructor
Description
``
`JMapIterator(CloseableKvIterator<JObjectKey,JData> backing, JMapHolder<K> holder)`

## Uses of JObjectKey in com.usatiuk.dhfs.peersync

Fields in com.usatiuk.dhfs.peersync declared as JObjectKey
Modifier and Type
Field
Description
`static final JObjectKey`
PersistentRemoteHostsData.`KEY`
`static final JObjectKey`
PeerInfoService.`TREE_KEY`
Methods in com.usatiuk.dhfs.peersync that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
PeerId.`id()`
Returns the value of the `id` record component.
`JObjectKey`
PeerInfo.`key()`
Returns the value of the `key` record component.
`JObjectKey`
PersistentRemoteHostsData.`key()`
`JObjectKey`
PeerId.`toJObjectKey()`
Methods in com.usatiuk.dhfs.peersync with parameters of type JObjectKey
Modifier and Type
Method
Description
`Optional<PeerInfo>`
PeerInfoService.`getPeerInfoImpl(JObjectKey key)`
`void`
InitialSyncProcessor.`handleCrash(JObjectKey key)`
`void`
PeerInfoSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, PeerInfo receivedData)`
`void`
InitialSyncProcessor.`prepareForInitialSync(PeerId from, JObjectKey key)`
Constructors in com.usatiuk.dhfs.peersync with parameters of type JObjectKey
Modifier
Constructor
Description
``
`PeerId(JObjectKey id)`
Creates an instance of a `PeerId` record class.
``
`PeerInfo(JObjectKey key, PeerId id, com.google.protobuf.ByteString cert, org.pcollections.PMap<PeerId,Long> kickCounter, long lastSeenTimestamp)`
Creates an instance of a `PeerInfo` record class.

## Uses of JObjectKey in com.usatiuk.dhfs.peersync.structs

Methods in com.usatiuk.dhfs.peersync.structs that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
JKleppmannTreeNodeMetaPeer.`peerId()`
Returns the value of the `peerId` record component.
`static JObjectKey`
JKleppmannTreeNodeMetaPeer.`peerIdToNodeId(PeerId id)`
Methods in com.usatiuk.dhfs.peersync.structs that return types with arguments of type JObjectKey
Modifier and Type
Method
Description
`Collection<JObjectKey>`
JKleppmannTreeNodeMetaPeer.`collectRefsTo()`
Methods in com.usatiuk.dhfs.peersync.structs with parameters of type JObjectKey
Modifier and Type
Method
Description
`static PeerId`
JKleppmannTreeNodeMetaPeer.`nodeIdToPeerId(JObjectKey id)`
Constructors in com.usatiuk.dhfs.peersync.structs with parameters of type JObjectKey
Modifier
Constructor
Description
``
`JKleppmannTreeNodeMetaPeer(String name, JObjectKey peerId)`
Creates an instance of a `JKleppmannTreeNodeMetaPeer` record class.

## Uses of JObjectKey in com.usatiuk.dhfs.peertrust

Methods in com.usatiuk.dhfs.peertrust with parameters of type JObjectKey
Modifier and Type
Method
Description
`void`
PeerInfoCertUpdateTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
PeerInfoCertUpdateTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
PeerInfoCertUpdateTxHook.`onDelete(JObjectKey key, JData cur)`

## Uses of JObjectKey in com.usatiuk.dhfs.refcount

Methods in com.usatiuk.dhfs.refcount that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
JDataNormalRef.`obj()`
Returns the value of the `obj` record component.
`JObjectKey`
JDataRef.`obj()`
Methods in com.usatiuk.dhfs.refcount that return types with arguments of type JObjectKey
Modifier and Type
Method
Description
`default Collection<JObjectKey>`
JDataRefcounted.`collectRefsTo()`
Methods in com.usatiuk.dhfs.refcount with parameters of type JObjectKey
Modifier and Type
Method
Description
`void`
DeleterTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
RefcounterTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
DeleterTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
RefcounterTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
DeleterTxHook.`onDelete(JObjectKey key, JData cur)`
`void`
RefcounterTxHook.`onDelete(JObjectKey key, JData cur)`
Constructors in com.usatiuk.dhfs.refcount with parameters of type JObjectKey
Modifier
Constructor
Description
``
`JDataNormalRef(JObjectKey obj)`
Creates an instance of a `JDataNormalRef` record class.

## Uses of JObjectKey in com.usatiuk.dhfs.remoteobj

Methods in com.usatiuk.dhfs.remoteobj that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
RemoteObjectMeta.`dataKey()`
`JObjectKey`
JDataRemote.`key()`
`JObjectKey`
RemoteObjectDataWrapper.`key()`
Returns the value of the `key` record component.
`JObjectKey`
RemoteObjectMeta.`key()`
Returns the value of the `key` record component.
`static JObjectKey`
RemoteObjectMeta.`ofDataKey(JObjectKey key)`
`static JObjectKey`
RemoteObjectMeta.`ofMetaKey(JObjectKey key)`
Methods in com.usatiuk.dhfs.remoteobj that return types with arguments of type JObjectKey
Modifier and Type
Method
Description
`default Collection<JObjectKey>`
JDataRemote.`collectRefsTo()`
`Collection<JObjectKey>`
RemoteObjectDataWrapper.`collectRefsTo()`
`Collection<JObjectKey>`
RemoteObjectMeta.`collectRefsTo()`
Methods in com.usatiuk.dhfs.remoteobj with parameters of type JObjectKey
Modifier and Type
Method
Description
`<T extends JDataRemote>
Optional<T>`
RemoteTransaction.`getData(Class<T> type, JObjectKey key)`
`<T extends JDataRemote>
Optional<T>`
RemoteTransaction.`getDataLocal(Class<T> type, JObjectKey key)`
`Optional<RemoteObjectMeta>`
RemoteTransaction.`getMeta(JObjectKey key)`
`void`
RemoteObjectInitialSyncProcessor.`handleCrash(JObjectKey key)`
`<T extends JDataRemote>
void`
DefaultObjSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, JDataRemote receivedData)`
`void`
ObjSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, D receivedData)`
`<D extends JDataRemoteDto>
void`
SyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, D receivedData)`
`static JObjectKey`
RemoteObjectMeta.`ofDataKey(JObjectKey key)`
`static JObjectKey`
RemoteObjectMeta.`ofMetaKey(JObjectKey key)`
`void`
RemoteObjPusherTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
RemoteObjPusherTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
RemoteObjPusherTxHook.`onDelete(JObjectKey key, JData cur)`
`void`
RemoteObjectInitialSyncProcessor.`prepareForInitialSync(PeerId from, JObjectKey key)`
Constructors in com.usatiuk.dhfs.remoteobj with parameters of type JObjectKey
Modifier
Constructor
Description
``
`RemoteObjectDataWrapper(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, T data)`
Creates an instance of a `RemoteObjectDataWrapper` record class.
``
`RemoteObjectMeta(JObjectKey key)`
``
`RemoteObjectMeta(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, org.pcollections.PMap<PeerId,Long> knownRemoteVersions, Class<? extends JDataRemote> knownType, org.pcollections.PSet<PeerId> confirmedDeletes, boolean seen, org.pcollections.PMap<PeerId,Long> changelog, boolean hasLocalData)`
Creates an instance of a `RemoteObjectMeta` record class.
``
`RemoteObjectMeta(JObjectKey key, org.pcollections.PMap<PeerId,Long> remoteChangelog)`

## Uses of JObjectKey in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc with parameters of type JObjectKey
Modifier and Type
Method
Description
`Collection<org.apache.commons.lang3.tuple.Pair<PeerId,CanDeleteReply>>`
RemoteObjectServiceClient.`canDelete(Collection<PeerId> targets, JObjectKey objKey)`
`void`
RemoteObjectServiceClient.`getObject(JObjectKey key, Function<org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject>,Boolean> onReceive)`
`org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject>`
RemoteObjectServiceClient.`getSpecificObject(JObjectKey key, PeerId peerId)`

## Uses of JObjectKey in com.usatiuk.dhfsfs.objects

Methods in com.usatiuk.dhfsfs.objects that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
JKleppmannTreeNodeMetaFile.`fileIno()`
Returns the value of the `fileIno` record component.
`JObjectKey`
ChunkData.`key()`
Returns the value of the `key` record component.
`JObjectKey`
File.`key()`
Returns the value of the `key` record component.
Methods in com.usatiuk.dhfsfs.objects that return types with arguments of type JObjectKey
Modifier and Type
Method
Description
`List<org.apache.commons.lang3.tuple.Pair<Long,JObjectKey>>`
FileDto.`chunks()`
Returns the value of the `chunks` record component.
`Collection<JObjectKey>`
File.`collectRefsTo()`
`Collection<JObjectKey>`
JKleppmannTreeNodeMetaDirectory.`collectRefsTo()`
`Collection<JObjectKey>`
JKleppmannTreeNodeMetaFile.`collectRefsTo()`
`List<org.apache.commons.lang3.tuple.Pair<Long,JObjectKey>>`
FileHelper.`getChunks(File file)`
Get the chunks of a file.
Methods in com.usatiuk.dhfsfs.objects with parameters of type JObjectKey
Modifier and Type
Method
Description
`void`
FileSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, FileDto receivedData)`
Method parameters in com.usatiuk.dhfsfs.objects with type arguments of type JObjectKey
Modifier and Type
Method
Description
`void`
FileHelper.`replaceChunks(File file, List<org.apache.commons.lang3.tuple.Pair<Long,JObjectKey>> chunks)`
Replace the chunks of a file.
Constructors in com.usatiuk.dhfsfs.objects with parameters of type JObjectKey
Modifier
Constructor
Description
``
`ChunkData(JObjectKey key, com.google.protobuf.ByteString data)`
Creates an instance of a `ChunkData` record class.
``
`File(JObjectKey key, long mode, long cTime, long mTime, boolean symlink)`
Creates an instance of a `File` record class.
``
`JKleppmannTreeNodeMetaFile(String name, JObjectKey fileIno)`
Creates an instance of a `JKleppmannTreeNodeMetaFile` record class.
Constructor parameters in com.usatiuk.dhfsfs.objects with type arguments of type JObjectKey
Modifier
Constructor
Description
``
`FileDto(File file, List<org.apache.commons.lang3.tuple.Pair<Long,JObjectKey>> chunks)`
Creates an instance of a `FileDto` record class.

## Uses of JObjectKey in com.usatiuk.dhfsfs.service

Methods in com.usatiuk.dhfsfs.service that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
DhfsFileService.`symlink(String oldpath, String newpath)`
Create a symlink.
Methods in com.usatiuk.dhfsfs.service that return types with arguments of type JObjectKey
Modifier and Type
Method
Description
`Optional<JObjectKey>`
DhfsFileService.`create(String name, long mode)`
Create a new file with the given name and mode.
`org.apache.commons.lang3.tuple.Pair<String,JObjectKey>`
DhfsFileService.`inoToParent(JObjectKey ino)`
Get the parent directory of a file or directory.
`Optional<JObjectKey>`
DhfsFileService.`open(String name)`
Try to resolve a path to a file or directory.
Methods in com.usatiuk.dhfsfs.service with parameters of type JObjectKey
Modifier and Type
Method
Description
`Boolean`
DhfsFileService.`chmod(JObjectKey uuid, long mode)`
Change the mode of a file or directory.
`Optional<GetattrRes>`
DhfsFileService.`getattr(JObjectKey uuid)`
Get the attributes of a file or directory.
`org.apache.commons.lang3.tuple.Pair<String,JObjectKey>`
DhfsFileService.`inoToParent(JObjectKey ino)`
Get the parent directory of a file or directory.
`com.google.protobuf.ByteString`
DhfsFileService.`read(JObjectKey fileUuid, long offset, int length)`
Read the contents of a file.
`String`
DhfsFileService.`readlink(JObjectKey uuid)`
Read the contents of a symlink.
`com.google.protobuf.ByteString`
DhfsFileService.`readlinkBS(JObjectKey uuid)`
Read the contents of a symlink as a ByteString.
`Boolean`
DhfsFileService.`setTimes(JObjectKey fileUuid, long atimeMs, long mtimeMs)`
Set the access and modification times of a file.
`long`
DhfsFileService.`size(JObjectKey fileUuid)`
Get the size of a file.
`Boolean`
DhfsFileService.`truncate(JObjectKey fileUuid, long length)`
Truncate a file to the given length.
`Long`
DhfsFileService.`write(JObjectKey fileUuid, long offset, byte[] data)`
Write data to a file.
`Long`
DhfsFileService.`write(JObjectKey fileUuid, long offset, com.google.protobuf.ByteString data)`
Write data to a file.

## Uses of JObjectKey in com.usatiuk.objects

Classes in com.usatiuk.objects that implement JObjectKey
Modifier and Type
Class
Description
`final class`
`JObjectKeyImpl`
`final record`
`JObjectKeyMax`
`final record`
`JObjectKeyMin`
Methods in com.usatiuk.objects that return JObjectKey
Modifier and Type
Method
Description
`static JObjectKey`
JObjectKey.`first()`
`static JObjectKey`
JObjectKey.`fromByteBuffer(ByteBuffer buff)`
`static JObjectKey`
JObjectKey.`fromBytes(byte[] bytes)`
`JObjectKey`
JData.`key()`
`static JObjectKey`
JObjectKey.`last()`
`static JObjectKey`
JObjectKey.`of(String value)`
`static JObjectKey`
JObjectKey.`random()`
Methods in com.usatiuk.objects with parameters of type JObjectKey
Modifier and Type
Method
Description
`int`
JObjectKey.`compareTo(JObjectKey o)`
`int`
JObjectKeyImpl.`compareTo(JObjectKey o)`
`int`
JObjectKeyMax.`compareTo(JObjectKey o)`
`int`
JObjectKeyMin.`compareTo(JObjectKey o)`

## Uses of JObjectKey in com.usatiuk.objects.stores

Methods in com.usatiuk.objects.stores that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
PendingDelete.`key()`
Returns the value of the `key` record component.
Methods in com.usatiuk.objects.stores that return types with arguments of type JObjectKey
Modifier and Type
Method
Description
`Collection<JObjectKey>`
TxManifestObj.`deleted()`
Returns the value of the `deleted` record component.
`Collection<JObjectKey>`
TxManifestRaw.`deleted()`
Returns the value of the `deleted` record component.
`Snapshot<JObjectKey,JDataVersionedWrapper>`
CachingObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,ByteBuffer>`
LmdbObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,ByteBuffer>`
MemoryObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,ByteBuffer>`
ObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,JDataVersionedWrapper>`
SerializingObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,JDataVersionedWrapper>`
WritebackObjectPersistentStore.`getSnapshot()`
`Collection<org.apache.commons.lang3.tuple.Pair<JObjectKey,T>>`
TxManifestObj.`written()`
Returns the value of the `written` record component.
`Collection<org.apache.commons.lang3.tuple.Pair<JObjectKey,com.google.protobuf.ByteString>>`
TxManifestRaw.`written()`
Returns the value of the `written` record component.
Constructors in com.usatiuk.objects.stores with parameters of type JObjectKey
Modifier
Constructor
Description
``
`PendingDelete(JObjectKey key, long bundleId)`
Creates an instance of a `PendingDelete` record class.
Constructor parameters in com.usatiuk.objects.stores with type arguments of type JObjectKey
Modifier
Constructor
Description
``
`TxManifestObj(Collection<org.apache.commons.lang3.tuple.Pair<JObjectKey,T>> written, Collection<JObjectKey> deleted)`
Creates an instance of a `TxManifestObj` record class.
``
`TxManifestRaw(Collection<org.apache.commons.lang3.tuple.Pair<JObjectKey,com.google.protobuf.ByteString>> written, Collection<JObjectKey> deleted)`
Creates an instance of a `TxManifestRaw` record class.

## Uses of JObjectKey in com.usatiuk.objects.transaction

Methods in com.usatiuk.objects.transaction that return JObjectKey
Modifier and Type
Method
Description
`JObjectKey`
TxRecord.TxObjectRecord.`key()`
`JObjectKey`
TxRecord.TxObjectRecordDeleted.`key()`
Returns the value of the `key` record component.
`JObjectKey`
TxRecord.TxObjectRecordWrite.`key()`
Methods in com.usatiuk.objects.transaction that return types with arguments of type JObjectKey
Modifier and Type
Method
Description
`CloseableKvIterator<JObjectKey,JData>`
CurrentTransaction.`getIterator(IteratorStart start, JObjectKey key)`
`CloseableKvIterator<JObjectKey,JData>`
Transaction.`getIterator(IteratorStart start, JObjectKey key)`
`default CloseableKvIterator<JObjectKey,JData>`
Transaction.`getIterator(JObjectKey key)`
Methods in com.usatiuk.objects.transaction with parameters of type JObjectKey
Modifier and Type
Method
Description
`void`
CurrentTransaction.`delete(JObjectKey key)`
`void`
Transaction.`delete(JObjectKey key)`
`<T extends JData>
Optional<T>`
CurrentTransaction.`get(Class<T> type, JObjectKey key)`
`<T extends JData>
Optional<T>`
Transaction.`get(Class<T> type, JObjectKey key)`
`CloseableKvIterator<JObjectKey,JData>`
CurrentTransaction.`getIterator(IteratorStart start, JObjectKey key)`
`CloseableKvIterator<JObjectKey,JData>`
Transaction.`getIterator(IteratorStart start, JObjectKey key)`
`default CloseableKvIterator<JObjectKey,JData>`
Transaction.`getIterator(JObjectKey key)`
`default void`
PreCommitTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`default void`
PreCommitTxHook.`onCreate(JObjectKey key, JData cur)`
`default void`
PreCommitTxHook.`onDelete(JObjectKey key, JData cur)`
Constructors in com.usatiuk.objects.transaction with parameters of type JObjectKey
Modifier
Constructor
Description
``
`TxObjectRecordDeleted(JObjectKey key)`
Creates an instance of a `TxObjectRecordDeleted` record class.